stretch_sprite(3)

NAME
stretch_sprite - Stretches a sprite to the destination bitmap. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void stretch_sprite(BITMAP *bmp, BITMAP *sprite, int x, int y, int w, int h);

DESCRIPTION
Like draw_sprite(), except it can stretch the sprite image to the specified width and height and requires the sprite image and destination bitmap to be of the same color depth. Moreover, the sprite image must be a memory bitmap. Example:
   /* Create tunnel like effect. */
   for (step = 1; step
      int width = SCREEN_W / step;
      int height = SCREEN_H / step;
      stretch_sprite(screen, image, SCREEN_W / 2 - width / 2,
                     SCREEN_H / 2 - height / 2, width, height);
   }

SEE ALSO
draw_sprite(3), stretch_blit(3), bitmap_mask_color(3)